/**
 * Created by USUARIO on 16/11/2017.
 */
$(document).on('click', '.afiliado', function () {
    $('#defaultModal').modal('hide');
    $tr = $(this);
    $('#Nombre').val($tr.data('nombre'));
    $('#PrimerAp').val($tr.data('paterno'));
    $('#SegundoAp').val($tr.data('materno'));
    $('#Curp').val($tr.data('curp'));
    $('#ConsecutivoDerechoHab').val($tr.data('identificador'));
    $('#inicio_vigencia').val($tr.data('inicio'));
    $('#fin_vigencia').val($tr.data('fin'));
    $('#folio').val($tr.data('folio'));
    $('#FechaNac').val($tr.data('nacimiento'));
});
//Asentamiento para el paciente
$(document).on("click", "#bqdAsen", function () {
    $('#prueba').show();
    $('#bqdAsenCan').show();
    $('#bqdAsen').hide();
    $('.multiple').addClass('multi');
    $("#asentamiento_loc").attr('multiple', '');
    $("#asentamiento_loc").attr('size', '7');
});
//Click en buscar asentamiento
$(document).on("click", "#bqdAsenCan", function () {
    $('#prueba').hide();
    $('#bqdAsenCan').hide();
    $('#bqdAsen').show();
    $('.multiple').removeClass('multi');
    $("#asentamiento_loc").removeAttr('multiple');
    $("#asentamiento_loc").removeAttr('size');
});
//Click en cerrar búsqueda
$(document).on("click", "#asentamiento_loc option", function () {
    document.getElementById('bqdAsenCan').click();
    $('#prueba').val('');
    $("#asentamiento_loc option").show();
    $('.multiple').removeClass('multi');
});
//*****************************//
//Asentamiento para el familiar
$(document).on("click", "#bqdAsen2", function () {
    $('#prueba2').show();
    $('#bqdAsenCan2').show();
    $('#bqdAsen2').hide();
    $('.multiple2').addClass('multi');
    $("#asentamiento_eme").attr('multiple', '');
    $("#asentamiento_eme").attr('size', '7');
});
//Click en buscar asentamiento
$(document).on("click", "#bqdAsenCan2", function () {
    $('#prueba2').hide();
    $('#bqdAsenCan2').hide();
    $('#bqdAsen2').show();
    $('.multiple2').removeClass('multi');
    $("#asentamiento_eme").removeAttr('multiple');
    $("#asentamiento_eme").removeAttr('size');
});
//Click en cerrar búsqueda
$(document).on("click", "#asentamiento_eme option", function () {
    document.getElementById('bqdAsenCan2').click();
    $('#prueba2').val('');
    $("#asentamiento_eme option").show();
    $('.multiple2').removeClass('multi');
});
//Buscar en asentamiento en select paciente/familiar
$(document).on("keyup", "#prueba", function () {
    var asenta = $(this).val().toUpperCase();
    $("#asentamiento_loc option").each(function () {
        $self = $(this);
        if (($self.text().toUpperCase()).match(asenta)) {
            $self.show();
        }
        else {
            $self.hide();
        }
    });
});
$(document).on("keyup", "#prueba2", function () {
    var asenta = $(this).val().toUpperCase();
    $("#asentamiento_eme option").each(function () {
        $self = $(this);
        if (($self.text().toUpperCase()).match(asenta)) {
            $self.show();
        }
        else {
            $self.hide();
        }
    });
});

function validarReqeridos(campos) {
    console.log('validando requeridos');
    var msg = ' es requerido.';
    var result = true;
    var i = 0;
    var len = campos.length;
    for (; i < len; i++) {
        var $el = $('#' + campos[i][0]);
        var val = $el.val();
        if (val == null || val == '') {
            $.notify('El campo ' + campos[i][1] + msg, 'error');
            $el.addClass('error');
            result = false;
        }
    }
    return result;

}

function getMunicipios(idEntidad, $municipio) {
    $municipio.html('');
    if (idEntidad != '' || idEntidad != null)
        $.post({
            url: 'vCat_Municipio',
            type: "POST",
            data: {
                idEntidad: idEntidad
            },
            success: function (data) {
                $municipio.html('');
                $.each(data.respuesta, function (i, municipio) {
                    $municipio.append($('<option>', {
                        value: municipio.id_municipio,
                        text: municipio.municipios,
                        data: {}
                    }));
                });
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
}

function getMunicipiosSetDefault(idEntidad, $municipio, value, _callback) {
    $municipio.html('');
    if (idEntidad == '' || idEntidad == null) {
        $municipio.val(value).change();
        _callback();
    } else {
        $.post({
            url: 'vCat_Municipio',
            type: "POST",
            data: {
                idEntidad: idEntidad
            },
            success: function (data) {
                $municipio.html('');
                $.each(data.respuesta, function (i, municipio) {
                    $municipio.append($('<option>', {
                        value: municipio.id_municipio,
                        text: municipio.municipios,
                        data: {}
                    }));
                });
                $municipio.val(value).change();
                _callback();
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
    }
}

function getLocalidades(idEntidad, idMunicipio, $localidad) {
    $localidad.html('');
    if (idEntidad != '' || idEntidad != null || idMunicipio != '' || idMunicipio != null)
        $.post({
            url: 'vCat_Localidad',
            type: "POST",
            data: {
                idMunicipio: idMunicipio,
                idEntidad: idEntidad
            },
            success: function (data) {
                $localidad.html('');
                $.each(data.respuesta, function (i, item) {
                    $localidad.append($('<option>', {
                        value: item.id_localidad,
                        text: item.localidad,
                        data: {}
                    }));
                });
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
}

function getLocalidadesSetDefault(idEntidad, idMunicipio, $localidad, value, _callback) {
    $localidad.html('');
    if (idEntidad == '' || idEntidad == null || idMunicipio == '' || idMunicipio == null) {
        $localidad.val(value).change();
        _callback();
    } else {
        $.post({
            url: 'vCat_Localidad',
            type: "POST",
            data: {
                idMunicipio: idMunicipio,
                idEntidad: idEntidad
            },
            success: function (data) {
                $localidad.html('');
                $.each(data.respuesta, function (i, item) {
                    $localidad.append($('<option>', {
                        value: item.id_localidad,
                        text: item.localidad,
                        data: {}
                    }));
                });
                $localidad.val(value).change();
                _callback();
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
    }
}

function getCodigosPostales(idEntidad, idMunicipio, $postal) {
    $postal.html('');
    if (idEntidad != '' && idMunicipio != '' && idEntidad != null && idMunicipio != null) {
        $.post({
            url: 'vCat_CodigosPostales',
            type: "POST",
            data: {
                idMunicipio: idMunicipio,
                idEntidad: idEntidad
            },
            success: function (data) {
                $.each(data.respuesta, function (i, item) {
                    $postal.append($('<option>', {
                        value: item.codigopostal,
                        text: item.codigopostal,
                        data: {}
                    }));
                });
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
    }
}

function getCodigosPostalesSetDefault(idEntidad, idMunicipio, $postal, value) {
    $postal.html('');
    if (idEntidad != '' && idMunicipio != '' && idEntidad != null && idMunicipio != null) {
        $.post({
            url: 'vCat_CodigosPostales',
            type: "POST",
            data: {
                idMunicipio: idMunicipio,
                idEntidad: idEntidad
            },
            success: function (data) {
                $.each(data.respuesta, function (i, item) {
                    $postal.append($('<option>', {
                        value: item.codigopostal,
                        text: item.codigopostal,
                        data: {}
                    }));
                });
                $postal.val(value).change();
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
    }
}

function getAsentamientos(idEntidad, idMunicipio, idLocalidad, $asentamiento) {
    $asentamiento.html('');
    if (idEntidad != '' && idMunicipio != '' && idLocalidad != '' && idMunicipio != null && idLocalidad != null && idEntidad != null) {
        $.post({
            url: 'vCat_Asentamientos',
            type: "POST",
            data: {
                idMunicipio: idMunicipio,
                idEntidad: idEntidad,
                idLocalidad: idLocalidad
            },
            success: function (data) {
                $.each(data.respuesta, function (i, item) {
                    $asentamiento.append($('<option>', {
                        value: item.id_asentamiento,
                        text: item.asentamiento,
                        data: {
                            tipo: item.id_tipo_asentamiento
                        }
                    }));
                });
                $asentamiento.change();
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
    }
}

function getAsentamientosSetDefault(idEntidad, idMunicipio, idLocalidad, $asentamiento, value, _callback) {
    $asentamiento.html('');
    if (idEntidad != '' && idMunicipio != '' && idLocalidad != '' && idMunicipio != null && idLocalidad != null && idEntidad != null) {
        $.post({
            url: 'vCat_Asentamientos',
            type: "POST",
            data: {
                idMunicipio: idMunicipio,
                idEntidad: idEntidad,
                idLocalidad: idLocalidad
            },
            success: function (data) {
                $.each(data.respuesta, function (i, item) {
                    $asentamiento.append($('<option>', {
                        value: item.id_asentamiento,
                        text: item.asentamiento,
                        data: {
                            tipo: item.id_tipo_asentamiento
                        }
                    }));
                });
                $asentamiento.val(value).change();
                _callback();
            },
            error: function (xhr, status) {
                $.notify("Ha ocurrido un problema", "error");
            }

        });
    } else {
        $asentamiento.val(value).change();
        _callback();
    }
}

$(document).on('click', '.CurpResult', function () {
    $tr = $(this);
    $('#defaultModal').modal('hide');
    $tr.data('curp') != '' ? $('#Curp').val($tr.data('curp')):1;
    $tr.data('nombre') != '' ? $('#Nombre').val($tr.data('nombre')):1;
    $tr.data('paterno') != '' ? $('#PrimerAp').val($tr.data('paterno')):1;
    $tr.data('materno') != '' ? $('#SegundoAp').val($tr.data('materno')):1;
    $tr.data('nacimiento') != '' ? $('#FechaNac').val($tr.data('nacimiento')):1;
    $tr.data('sexo') != '' ? $('#Sexo').val($tr.data('sexo')).change():1;
    $tr.data('estado') != '' ? $('#EntidadNac').val($tr.data('estado')).change():1;
    $('#Nacionalidad').val('142').change();
});